JVMMetrics (Apache Geode 1.15.4)

org.apache.geode.management

## Class JVMMetrics

- java.lang.Object
- - org.apache.geode.management.JVMMetrics

- All Implemented Interfaces:
    Serializable

      public class JVMMetrics
      extends Object
      implements Serializable

  Composite data type used to distribute metrics for the JVM running a GemFire member.
  Since:
    GemFire 7.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JVMMetrics(long gcCount, long gcTimeMillis, long initMemory, long committedMemory, long usedMemory, long maxMemory, int totalThreads)` This constructor is to be used by internal JMX framework only.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCommittedMemory()` Returns the current number of megabytes of memory allocated.
    `long` | `getGcCount()` Returns the number of times garbage collection has occurred.
    `long` | `getGcTimeMillis()` Returns the amount of time (in milliseconds) spent on garbage collection.
    `long` | `getInitMemory()` Returns the initial number of megabytes of memory requested from the operating system.
    `long` | `getMaxMemory()` Returns the maximum number of megabytes of memory available from the operating system.
    `int` | `getTotalThreads()` Returns the number of threads in use.
    `long` | `getUsedMemory()` Returns the current number of megabytes of memory being used.
    `String` | `toString()` String representation of JVMMetrics

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JVMMetrics

          @ConstructorProperties(value={"gcCount","gcTimeMillis","initMemory","committedMemory","usedMemory","maxMemory","totalThreads"})
          public JVMMetrics(long gcCount,
                                                                                                                                                            long gcTimeMillis,
                                                                                                                                                            long initMemory,
                                                                                                                                                            long committedMemory,
                                                                                                                                                            long usedMemory,
                                                                                                                                                            long maxMemory,
                                                                                                                                                            int totalThreads)

      This constructor is to be used by internal JMX framework only. User should not try to create an instance of this class.
      Parameters:
        `gcCount` - the number of times garbage collection has occurred
        `gcTimeMillis` - the amount of time (in milliseconds) spent on garbage collection
        `initMemory` - the initial number of megabytes of memory requested from the operating system
        `committedMemory` - the current number of megabytes of memory allocated
        `usedMemory` - the current number of megabytes of memory being used
        `maxMemory` - the maximum number of megabytes of memory available from the operating system
        `totalThreads` - he number of threads in use

  - ### Method Detail

    - #### getGcCount

          public long getGcCount()

      Returns the number of times garbage collection has occurred.
      Returns:
        the number of times garbage collection has occurred

    - #### getGcTimeMillis

          public long getGcTimeMillis()

      Returns the amount of time (in milliseconds) spent on garbage collection.
      Returns:
        the amount of time (in milliseconds) spent on garbage collection

    - #### getInitMemory

          public long getInitMemory()

      Returns the initial number of megabytes of memory requested from the operating system.
      Returns:
        the initial number of megabytes of memory requested from the operating system

    - #### getCommittedMemory

          public long getCommittedMemory()

      Returns the current number of megabytes of memory allocated.
      Returns:
        the current number of megabytes of memory allocated

    - #### getUsedMemory

          public long getUsedMemory()

      Returns the current number of megabytes of memory being used.
      Returns:
        the current number of megabytes of memory being used

    - #### getMaxMemory

          public long getMaxMemory()

      Returns the maximum number of megabytes of memory available from the operating system.
      Returns:
        the maximum number of megabytes of memory available from the operating system

    - #### getTotalThreads

          public int getTotalThreads()

      Returns the number of threads in use.
      Returns:
        the number of threads in use

    - #### toString

          public String toString()

      String representation of JVMMetrics
      Overrides:
        `toString` in class `Object`